<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<BackZoomCap>
    <tag key="HAL_CUSTOM_ZOOM_CAPABILITY" type="int32_t">
        <zoomAccuracy>100</zoomAccuracy>
        <defZoom>
            <captureSceneMode type="string2Enum">CAMERA_HW_SM_INVALID</captureSceneMode>
            <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
            <zoomDownLimit>100</zoomDownLimit>
            <zoomUpLimit>1000</zoomUpLimit>
            <midZoomCount>0</midZoomCount>
            <midZoom>
                <value>0</value>
                <value>0</value>
                <value>0</value>
                <value>0</value>
            </midZoom>
        </defZoom>
        <zoomInfo>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BURST</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PROFESSIONAL</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_3D_PANORAMA</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_CAPTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_HDR</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>68</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_3D_MODEL</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NIGHT_SHOT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PANORAMA</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>0</zoomDownLimit>
                <zoomUpLimit>0</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_CAR</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_STAR</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_WATER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_LIGHT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_WATER_MARK</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AUDIO_NOTE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_DOCUMENT_SCAN</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BEAUTY</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>300</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_FILTER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_GOOD_FOOD</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_APERTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>300</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MOVING_PICTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PAINTER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_INTEREST_DRESS_UP</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>600</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>300</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AI_IDENTIFY</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AR_3D_THING</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>600</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AR_STAR_PICTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>600</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AR_KATOON</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>600</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_APERTURE_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>58</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BEAUTY_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PROFESSIONAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>90</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_TIMELAPSE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SLOW_MO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>90</zoomDownLimit>
                <zoomUpLimit>180</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_APERTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_PORTRAIT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_PROFESSIONAL</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_FILTER_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_DEFAULT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_NIGHT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_BACKLIGHTING</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_WATER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_PORTRAIT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_ANIMOJI</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>0</zoomDownLimit>
                <zoomUpLimit>0</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AR_3D_ANIMOJI</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>0</zoomDownLimit>
                <zoomUpLimit>0</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AR_GESTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BACKGROUND</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_MACRO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_DUAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>600</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_NORMAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>300</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT_SLOW_SHUTTER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_OPTICAL</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>300</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>90</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_MACRO_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>0</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
             <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE_MACRO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>60</zoomDownLimit>
                <zoomUpLimit>1000</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO_MACRO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL_OPTICAL</zoomMode>
                <zoomDownLimit>63</zoomDownLimit>
                <zoomUpLimit>540</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
        </zoomInfo>
    </tag>
</BackZoomCap>
